net.minecraft.world.item.ItemStack
com.mna.interop.jei.ingredients.ManaweavePatternIngredient
net.minecraft.world.entity.EntityType
net.minecraftforge.fluids.FluidStack
slimeknights.tconstruct.library.modifiers.ModifierEntry
slimeknights.tconstruct.library.recipe.partbuilder.Pattern
wallywhip.resourcechickens.compat.JEI.EntityIngredient
cy.jdkdigital.productivebees.integrations.jei.ingredients.BeeIngredient
